## partitioner 0.29

=== Makefile ===

CC = gcc
CFLAGS = -W -Wall -Os
LD = gcc
LDFLAGS = -ldebconfclient -ldebian-installer -lparted -ldl

all: partitioner

partitioner: main.o
	${LD} ${LDFLAGS} -o partitioner $?

main.o: main.c
	${CC} ${CFLAGS} -c main.c

clean:
	rm -f *.o

distclean: clean
	rm -f partitioner

## partitioner 0.25

=== debian/changelog ===
partitioner (0.25) unstable; urgency=low

  * Colin Watson
    - Stop hardcoding path to archdetect.
    - Fix English in log message.
  * Stephen R. Marenka
    - Add support for q40 and sun(x) m68k subarchs.
  * Updated translations: 
    - German (de.po) by Alwin Meschede
    - Basque (eu.po) by Piarres Beobide Egaña
    - Hebrew (he.po) by Lior Kaplan
    - Indonesian (id.po) by Parlin Imanuel Toh
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Bøkmal, Norwegian (nb.po) by Bjørn Steensrud
    - Norwegian Nynorsk (nn.po) by Håvard Korsvoll
    - Russian (ru.po) by Nikolai Prokoschenko
    - Swedish (sv.po) by André Dahlqvist
    - Turkish (tr.po) by Osman Yüksel
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov
    - Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu
    - Traditional Chinese (zh_TW.po) by Tetralet

 -- Joey Hess <joeyh@debian.org>  Sat, 15 May 2004 10:02:29 -0300

partitioner (0.24) unstable; urgency=low

  * Joey Hess
    - Only used on m68k, mips, and s390 anymore, so limit the list
      of arches accordingly.
  * Martin Michlmayr
    - Use cfdisk for MIPS based Cobalt machines.
  * Updated translations:
    - Basque (eu.po) by Piarres Beobide Egaña
    - Gallegan (gl.po) by Héctor Fernández López
    - Romanian (ro.po) by Eddy Petrisor

 -- Martin Michlmayr <tbm@cyrius.com>  Tue, 06 Apr 2004 02:33:32 +0100

partitioner (0.23) unstable; urgency=low

  * Updated translations: 
    - Hebrew (he.po) by Lior Kaplan
    - Indonesian (id.po) by Parlin Imanuel Toh

 -- Joey Hess <joeyh@debian.org>  Tue, 30 Mar 2004 15:18:00 -0500

partitioner (0.22) unstable; urgency=low

  * Martin Michlmayr
    - Handle mips sub-architectures: use fdisk for SGI machines, cfdisk for
      the Broadcom MIPS development board "SWARM" (BCM91250A), and fdisk
      as fallback option.
    - Add a script to handle mipsel sub-architectures: use fdisk for
      DECstations, cfdisk for the SWARM board, and fdisk as fallback.
  * Bastian Blank
    - Calculate correct dependencies.
  * Updated translations: 
    - Polish (pl.po) by Bartosz Fenski
    - Romanian (ro.po) by Eddy Petrisor
    - Turkish (tr.po) by Osman Yksel

 -- Joey Hess <joeyh@debian.org>  Mon, 22 Mar 2004 13:48:45 -0500

partitioner (0.21) unstable; urgency=low

  * Bastian Blanl
    - Use stdin/-out copies from debconf.
    - Use new debhelper and strip binary.
  * Updated translations
    - Russian by Nikolai Prokoschenko

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 14 Mar 2004 19:40:29 +0100

partitioner (0.20) unstable; urgency=low

  * Bastian Blank
    - Use sector size for size calculation.
    - Ignore ignorable exceptions.
  * Kenshi Muto
    - util-linux maintainer didn't response anything...
      It is time to run cfdisk as LANG=C. I hope this change would be
      reverted before Sarge release.
  * Translations:
    - Dafydd Harries : Added Welsh translation (cy.po)
    - Kęstutis Biliūnas: Updated Lithuanian translation (lt.po) 
    - Jordi Mallach: Updated Catalan translation (ca.po)

 -- Joey Hess <joeyh@debian.org>  Sat, 13 Mar 2004 00:07:48 -0500

partitioner (0.19) unstable; urgency=low

  * Jeff Bailey:
    - Apply patch from Thomas Poindessous <thomas@poindessous.com>
      for sparc partitioning (Closes: #228518)
    - Actually, use parted instead.
  * Translations:
    - Håvard Korsvoll
      - Updated Norwegian (Nynorsk) translation.
    - Changwoo Ryu
      - Added Korean translation (ko.po)
    - Ming Hua
      - Initial Traditional Chinese translation (zh_TW.po), by Tetralet
      - Updated Traditional Chinese translation (zh_TW.po), by Tetralet
    - Håvard Korsvoll
      - Updated Norwegian, bokmål translation, (nb.po). From Axel Bojer

 -- Joey Hess <joeyh@debian.org>  Tue,  2 Mar 2004 13:42:00 -0500

partitioner (0.18) unstable; urgency=low

  * Translations:
    - Jordi Mallach: Updated Catalan translation.
    - Carlos Z.F. Liu
      - fix some serious errors in Simplified Chinese translation.
    - Giuseppe Sacco
      - Applied patch for normalizing menus and some italian translation (it.po)
    - h3li0s
      - added albanian translation (sq.po)
    - Eugen Meshcheryakov 
      - added Ukrainian translation (uk.po)

 -- Joey Hess <joeyh@debian.org>  Sun, 22 Feb 2004 22:21:37 -0500

partitioner (0.17) unstable; urgency=low

  * Safir Secerovic
    - Update Bosnian translation (bs.po).
  * Stephen R. Marenka
    - Initial m68k support.

 -- Joey Hess <joeyh@debian.org>  Thu, 22 Jan 2004 20:17:38 -0500

partitioner (0.16) unstable; urgency=low

  * Miguel Figueiredo
    - Added Portuguese translation (pt.po)
  * Ming Hua
    - Initial Simplified Chinese translation (zh_CN.po)
  * Bart Cornelis
    - Merged Norwegian Nynorsk (nn.po) translation from skolelinux-cvs
  * André Dahlqvist
    - Update Swedish translation (sv.po)
  * Anmar Oueja
    - created and translated to Arabic (ar.po)
  * Christian Perrier
    - main.c: set LANGUAGE variable before calling fdisk programs
              this may cause problems with terminals

 -- Joey Hess <joeyh@debian.org>  Thu,  1 Jan 2004 15:01:11 -0500

partitioner (0.15) unstable; urgency=low

  * Bart Cornelis
    - Merged Norwegian Bokmael (nb.po) from skolelinux-cvs
  * Teófilo Ruiz Suárez
    - Updated Spanish translations (po/es.po)
  * Peter Mann
    - Updated Slovak translation
  * Giuseppe Sacco
    - Added italian translation (it.po)
  * Thiemo Seufer
    - Fix memory leaks.

 -- Joey Hess <joeyh@debian.org>  Thu, 25 Dec 2003 19:58:59 -0500

partitioner (0.14) unstable; urgency=low

  * Bartosz Fenski
    - Updated Polish (pl) translation.
  * Verok Istvan
    - Initial Hungarian translation
  * André Dahlqvist
    - Update Swedish translation. (sv.po)
  * David Martínez Moreno
    - Updated Spanish translation (es.po) and converted to UTF-8.
  * Konstantinos Margaritis
    - Updated Greek translation (el.po)
  * Thiemo Seufer
    - Change CFLAGS to -W -Wall -Os.
  * Alwin Meschede
    - Updated German translation (de.po)
  * Bart Cornelis


=== debian/control ===
Source: partitioner
Section: debian-installer
Priority: standard
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Thorsten Sauter <tsauter@debian.org>, Petter Reinholdtsen <pere@debian.org>, Matt Kraai <kraai@debian.org>, Joey Hess <joeyh@debian.org>
Build-Depends: debhelper (>> 4.2), po-debconf (>= 0.5.0), libdebian-installer4-dev, libdebconfclient0-dev (>= 0.46), libparted1.6-dev
Standards-Version: 3.6.1.0

Package: partitioner
XC-Package-Type: udeb
Architecture: m68k mips s390
Depends: ${shlibs:Depends}, cdebconf-udeb, harddrive-detection
Provides: partitioned-harddrives
XB-installer-menu-item: 43
Description: Partition a hard drive
 Use this module to partition the physical disks in the system.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) all
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	rm -f debian/partitioner.postinst
	-$(MAKE) distclean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	install -m755 partitioner debian/partitioner.postinst
	install -m755 -d debian/partitioner/usr/share/partitioner
	for i in `find scripts/ -type f -maxdepth 1 -print`; do \
		install -m644 $$i debian/partitioner/usr/share/partitioner/; \
	done

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf	
	dh_fixperms
	dh_strip
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## partitioner 0.28

=== debian/changelog ===
partitioner (0.28) unstable; urgency=low

  * Joey Hess
    - Depend on fdisk-udeb for mips. Needed because it is not standard
      priority (because we cannot have differing priorities by arch),
      and so anna will not load it. This had been previously avoided by
      bloating the mips initrds with fdisk.
  * Updated translations: 
    - Bulgarian (bg.po) by Ognyan Kulev
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - French (fr.po) by French Team

 -- Joey Hess <joeyh@debian.org>  Tue, 19 Oct 2004 13:47:45 -0400

partitioner (0.27) unstable; urgency=low

  * Joey Hess
    - Remove unnecessary seen flag fsetting.
  * Petter Reinholdtsen
    - Remove myself as uploader.  I'm no longer developing this package.
  * Updated translations:
    - Arabic (ar.po) by Ossama M. Khayat
    - Bulgarian (bg.po) by Ognyan Kulev
    - Bosnian (bs.po) by Safir Å eÄeroviÄ
    - Catalan (ca.po) by Jordi Mallach
    - Czech (cs.po) by Miroslav Kure
    - Welsh (cy.po) by Dafydd Harries
    - Danish (da.po) by Claus Hindsgaul
    - German (de.po) by Dennis Stampfer
    - Greek (el.po) by Greek Translation Team
    - Spanish (es.po) by Javier Fernandez-Sanguino PeÃ±a
    - Basque (eu.po) by Piarres Beobide EgaÃ±a
    - Persian (fa.po) by Arash Bijanzadeh
    - Finnish (fi.po) by Tapio Lehtonen
    - French (fr.po) by French Team
    - Hebrew (he.po) by Lior Kaplan
    - Croatian (hr.po) by Krunoslav Gernhard
    - Hungarian (hu.po) by VEROK Istvan
    - Indonesian (id.po) by Debian Indonesia Team
    - Japanese (ja.po) by Kenshi Muto
    - Korean (ko.po) by Changwoo Ryu
    - Lithuanian (lt.po) by KÄstutis BiliÅ«nasn
    - Latvian (lv.po) by Aigars Mahinovs
    - Norwegian (nb.po) by Bjorn Steensrud
    - Norwegian (nn.po) by HÃ¥vard Korsvoll
    - Polish (pl.po) by Bartosz Fenski
    - Portuguese (Brazil) (pt_BR.po) by AndrÃ© LuÃ­s Lopes
    - Romanian (ro.po) by Eddy Petrisor
    - Russian (ru.po) by Russian L10N Team
    - Slovak (sk.po) by Peter KLFMANiK Mann
    - Slovenian (sl.po) by Jure Äuhalev
    - Albanian (sq.po) by Elian Myftiu
    - Swedish (sv.po) by Per Olofsson
    - Turkish (tr.po) by Recai OktaÅ
    - Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu
    - Traditional Chinese (zh_TW.po) by Tetralet

 -- Stephen R. Marenka <smarenka@debian.org>  Thu,  7 Oct 2004 07:33:30 -0500

partitioner (0.26) unstable; urgency=low

  * Stephen R. Marenka
    - m68k: make userdevfs support consistent.
    - add self to uploaders.
  * Updated translations: 
    - Danish (da.po) by Frederik Dannemare
    - Persian (fa.po) by Arash Bijanzadeh
    - Croatian (hr.po) by Kruno
    - Norwegian (nn.po) by HÃ¥vard Korsvoll

 -- Stephen R. Marenka <smarenka@debian.org>  Tue, 27 Jul 2004 13:07:12 -0500

=== debian/control ===
Source: partitioner
Section: debian-installer
Priority: standard
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Thorsten Sauter <tsauter@debian.org>, Matt Kraai <kraai@debian.org>, Joey Hess <joeyh@debian.org>, Stephen R. Marenka <smarenka@debian.org>
Build-Depends: debhelper (>> 4.2), po-debconf (>= 0.5.0), libdebian-installer4-dev, libdebconfclient0-dev (>= 0.46), libparted1.6-dev
Standards-Version: 3.6.1.0

Package: partitioner
XC-Package-Type: udeb
Architecture: m68k mips s390
Depends: ${shlibs:Depends}, cdebconf-udeb, harddrive-detection, ${fdisk:Depends}
Provides: partitioned-harddrives
XB-installer-menu-item: 43
Description: Partition a hard drive
 Use this module to partition the physical disks in the system.

## partitioner 0.29

=== debian/changelog ===
partitioner (0.29) unstable; urgency=low

  * Colin Watson
    - Explicitly exclude read-only devices from the output of
      get_all_disks(). As of parted 1.6.19, parted doesn't do this for us.

  * Thiemo Seufer
    - Update libparted build dependency.

 -- Thiemo Seufer <ths@debian.org>  Wed, 02 Feb 2005 18:21:30 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: standard
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Thorsten Sauter <tsauter@debian.org>, Matt Kraai <kraai@debian.org>, Joey Hess <joeyh@debian.org>, Stephen R. Marenka <smarenka@debian.org>
-Build-Depends: debhelper (>> 4.2), po-debconf (>= 0.5.0), libdebian-installer4-dev, libdebconfclient0-dev (>= 0.46), libparted1.6-dev
-Standards-Version: 3.6.1.0
+Build-Depends: debhelper (>> 4.2), po-debconf (>= 0.5.0), libdebian-installer4-dev, libdebconfclient0-dev (>= 0.46), libparted1.6-dev (>= 1.6.12)
+Standards-Version: 3.6.1
 
 Package: partitioner
 XC-Package-Type: udeb

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 #export DH_VERBOSE=1
+ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)
 
 build: build-stamp
 build-stamp:
@@ -40,7 +41,13 @@
 	dh_strip
 	dh_installdeb
 	dh_shlibdeps
+# fdisk-udeb is not standard priority so will not be installed by anna
+# unless partitioner depends on it
+ifeq ($(ARCH),mips)
+	dh_gencontrol -- -Vfdisk:Depends=fdisk-udeb
+else
 	dh_gencontrol
+endif
 	dh_builddeb
 
 binary: binary-indep binary-arch

## partitioner 0.32

=== debian/changelog ===
partitioner (0.32) unstable; urgency=low

  * Colin Watson
    - Build the architecture name into the binary rather than making a
      messy call to /usr/bin/udpkg --print-architecture (with hardcoded
      path!).
    - Unhardcode path to update-dev to allow a smoother transition to a
      generic /bin/update-dev that handles udev too.
  * Thiemo Seufer
    - Fix find use in debian/rules

 -- Thiemo Seufer <ths@debian.org>  Wed, 30 Nov 2005 22:04:22 +0000

partitioner (0.31) unstable; urgency=low

  * Frans Pop
    - Set correct dependency for libparted (1.6.24).

 -- Frans Pop <fjp@debian.org>  Sat, 17 Sep 2005 20:26:26 +0200

partitioner (0.30) unstable; urgency=low

  * Christian Perrier
    - Rename the templates file to help out translators working
      on a single file
  * Frans Pop
    - Update libparted build dependency.
    - Add myself to uploaders.
  * Updated translations: 
    - Arabic (ar.po) by Ossama M. Khayat
    - Belarusian (be.po) by Andrei Darashenka
    - Greek (el.po) by Greek Translation Team
    - Esperanto (eo.po) by Serge Leblanc
    - Spanish (es.po) by Javier Fernández-Sanguino Peña
    - Estonian (et.po) by Siim Põder
    - Basque (eu.po) by Piarres Beobide
    - Gallegan (gl.po) by Jacobo Tarrio
    - Hebrew (he.po) by Lior Kaplan
    - Kurdish (ku.po) by Erdal Ronahi
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Malagazy (mg.po) by Jaonary Rabarisoa
    - Macedonian (mk.po) by Georgi Stanojevski
    - Macedonian (pa_IN.po) by Amanpreet Singh Alam
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Romanian (ro.po) by Eddy Petrisor
    - Russian (ru.po) by Yuri Kozlov
    - Tagalog (tl.po) by Eric Pareja
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov
    - Vietnamese (vi.po) by Clytie Siddall
    - Wolof (wo.po) by Mouhamadou Mamoune Mbacke
    - Xhosa (xh.po) by Canonical Ltd

 -- Frans Pop <fjp@debian.org>  Sat, 17 Sep 2005 19:55:04 +0200

=== debian/control ===
Source: partitioner
Section: debian-installer
Priority: standard
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Thorsten Sauter <tsauter@debian.org>, Matt Kraai <kraai@debian.org>, Joey Hess <joeyh@debian.org>, Stephen R. Marenka <smarenka@debian.org>, Frans Pop <fjp@debian.org>
Build-Depends: debhelper (>> 4.2), po-debconf (>= 0.5.0), libdebian-installer4-dev, libdebconfclient0-dev (>= 0.46), libparted1.6-dev (>= 1.6.24)
Standards-Version: 3.6.1

Package: partitioner
XC-Package-Type: udeb
Architecture: m68k mips s390
Depends: ${shlibs:Depends}, cdebconf-udeb, harddrive-detection, ${fdisk:Depends}
Provides: partitioned-harddrives
XB-Installer-Menu-Item: 43
Description: Partition a hard drive
 Use this module to partition the physical disks in the system.

=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 	dh_installdirs
 	install -m755 partitioner debian/partitioner.postinst
 	install -m755 -d debian/partitioner/usr/share/partitioner
-	for i in `find scripts/ -type f -maxdepth 1 -print`; do \
+	for i in `find scripts/ -maxdepth 1 -type f -print`; do \
 		install -m644 $$i debian/partitioner/usr/share/partitioner/; \
 	done

## partitioner 0.36

=== debian/changelog ===
partitioner (0.36) unstable; urgency=low

  * Fix m68k case (dh_gencontrol wasn't called for m68k ATM).

 -- Wouter Verhelst <wouter@debian.org>  Thu, 22 Jun 2006 14:17:39 +0200

partitioner (0.35) unstable; urgency=low

  [ Frans Pop ]
  * Improved description of disk selection template.

  [ Christian Perrier ]
  * Split Choices in debconf templates

  [ Martin Michlmayr ]
  * Add arm to the architecture field since RiscPC needs acorn-fdisk.

  [ Otavio Salvador ]
  * Change build-depends for new parted 1.7;
  * Remove Standards-Version since udebs don't follow Debian Policy;

  [ Bastian Blank ]
  * Remove s390 from architecture list. 

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Bulgarian (bg.po) by Ognyan Kulev
  * Bosnian (bs.po) by Safir Secerovic
  * Catalan (ca.po) by Jordi Mallach
  * Czech (cs.po) by Miroslav Kure
  * Danish (da.po) by Claus Hindsgaul
  * German (de.po) by Jens Seidel
  * Dzongkha (dz.po)
  * Esperanto (eo.po) by Serge Leblanc
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Basque (eu.po) by Piarres Beobide
  * French (fr.po) by Christian Perrier
  * Irish (ga.po) by Kevin Patrick Scannell
  * Galician (gl.po) by Jacobo Tarrio
  * Hebrew (he.po) by Lior Kaplan
  * Hungarian (hu.po) by SZERVÑC Attila
  * Indonesian (id.po) by Parlin Imanuel Toh
  * Italian (it.po) by Giuseppe Sacco
  * Japanese (ja.po) by Kenshi Muto
  * Georgian (ka.po) by Aiet Kolkhi
  * Khmer (km.po) by Khoem Sokhem
  * Korean (ko.po) by Sunjae park
  * Kurdish (ku.po) by Erdal Ronahi
  * Malagasy (mg.po) by Jaonary Rabarisoa
  * Macedonian (mk.po) by Georgi Stanojevski
  * Norwegian Bokmal (nb.po) by Bjørn Steensrud
  * Nepali (ne.po) by Shiva Pokharel
  * Dutch (nl.po) by Bart Cornelis
  * Norwegian Nynorsk (nn.po) by Håvard Korsvoll
  * Polish (pl.po) by Bartosz Fenski
  * Portuguese (pt.po) by Miguel Figueiredo
  * Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
  * Romanian (ro.po) by Eddy Petrişor
  * Russian (ru.po) by Yuri Kozlov
  * Northern Sami (se.po) by Børre Gaup
  * Slovak (sk.po) by Peter Mann
  * Slovenian (sl.po) by Jure Čuhalev
  * Albanian (sq.po) by Elian Myftiu
  * Swedish (sv.po) by Daniel Nylander
  * Tamil (ta.po) by Damodharan Rajalingam
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Tagalog (tl.po) by Eric Pareja
  * Turkish (tr.po) by Recai Oktaş
  * Ukrainian (uk.po) by Eugeniy Meshcheryakov
  * Vietnamese (vi.po) by Clytie Siddall
  * Wolof (wo.po) by Mouhamadou Mamoune Mbacke
  * Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu

 -- Bastian Blank <waldi@debian.org>  Tue, 30 May 2006 22:29:43 +0200

partitioner (0.34) unstable; urgency=low

  [ Martin Michlmayr ]
  * The sb1-bcm91250a and sb1a-bcm91480b platforms use cfdisk.  In
    reality, these platforms use partman rather than partitioner
    anyway, though.

  [ Updated translations ]
  * Catalan (ca.po) by Jordi Mallach
  * Hungarian (hu.po) by SZERVÑC Attila
  * Slovak (sk.po) by Peter Mann
  * Slovenian (sl.po) by Matej Kovačič
  * Swedish (sv.po) by Daniel Nylander

 -- Martin Michlmayr <tbm@cyrius.com>  Fri, 17 Mar 2006 22:32:10 +0000

partitioner (0.33) unstable; urgency=low

  [ Updated translations ]
  * Greek (el.po) by Konstantinos Margaritis
  * Italian (it.po) by Giuseppe Sacco
  * Latvian (lv.po) by Aigars Mahinovs
  * Slovak (sk.po) by Peter Mann
  * Slovenian (sl.po) by Jure Cuhalev
  * Swedish (sv.po) by Daniel Nylander
  * Vietnamese (vi.po) by Clytie Siddall

 -- Frans Pop <fjp@debian.org>  Fri, 27 Jan 2006 23:06:05 +0100

=== debian/control ===
Source: partitioner
Section: debian-installer
Priority: standard
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Thorsten Sauter <tsauter@debian.org>, Matt Kraai <kraai@debian.org>, Joey Hess <joeyh@debian.org>, Stephen R. Marenka <smarenka@debian.org>, Frans Pop <fjp@debian.org>
Build-Depends: debhelper (>> 4.2), po-debconf (>= 0.5.0), libdebian-installer4-dev, libdebconfclient0-dev (>= 0.46), libparted1.7-dev (>= 1.7.1-1)

Package: partitioner
XC-Package-Type: udeb
Architecture: arm m68k mips
Depends: ${shlibs:Depends}, cdebconf-udeb, harddrive-detection, ${fdisk:Depends}
Provides: partitioned-harddrives
XB-Installer-Menu-Item: 43
Description: Partition a hard drive
 Use this module to partition the physical disks in the system.

=== debian/rules ===
--- 
+++ 
@@ -45,8 +45,10 @@
 # unless partitioner depends on it
 ifeq ($(ARCH),mips)
 	dh_gencontrol -- -Vfdisk:Depends=fdisk-udeb
-else
-	dh_gencontrol
+else ifeq ($(ARCH),arm)
+	dh_gencontrol -- -Vfdisk:Depends=acorn-fdisk-udeb
+else ifeq ($(ARCH),m68k)
+	dh_gencontrol -- -Vfdisk:Depends="atari-fdisk-udeb, mac-fdisk-udeb"
 endif
 	dh_builddeb

## partitioner 0.37

=== debian/changelog ===
partitioner (0.37) unstable; urgency=low

  [ Colin Watson ]
  * Note that get_all_disks() should not be used as example code.

  [ Updated translations ]
  * Belarusian (be.po) by Andrei Darashenka
  * Greek, Modern (1453-) (el.po) by quad-nrg.net
  * Estonian (et.po) by Siim Põder
  * Basque (eu.po) by Piarres Beobide
  * Finnish (fi.po) by Tapio Lehtonen
  * Gujarati (gu.po) by Kartik Mistry
  * Hebrew (he.po) by Lior Kaplan
  * Hindi (hi.po) by Nishant Sharma
  * Croatian (hr.po) by Josip Rodin
  * Hungarian (hu.po) by SZERVÁC Attila
  * Indonesian (id.po) by Arief S Fitrianto
  * Kurdish (ku.po) by Erdal Ronahi
  * Latvian (lv.po) by Aigars Mahinovs
  * Panjabi; Punjabi (pa.po) by A S Alam
  * Romanian (ro.po) by Eddy Petrișor
  * Russian (ru.po) by Yuri Kozlov
  * Swedish (sv.po) by Daniel Nylander
  * Tamil (ta.po) by Damodharan Rajalingam
  * Ukrainian (uk.po) by Eugeniy Meshcheryakov
  * Vietnamese (vi.po) by Clytie Siddall
  * Wolof (wo.po) by Mouhamadou Mamoune Mbacke
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Colin Watson <cjwatson@debian.org>  Mon, 21 Aug 2006 13:53:36 +0100

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Thorsten Sauter <tsauter@debian.org>, Matt Kraai <kraai@debian.org>, Joey Hess <joeyh@debian.org>, Stephen R. Marenka <smarenka@debian.org>, Frans Pop <fjp@debian.org>
 Build-Depends: debhelper (>> 4.2), po-debconf (>= 0.5.0), libdebian-installer4-dev, libdebconfclient0-dev (>= 0.46), libparted1.7-dev (>= 1.7.1-1)
+XS-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/partitioner
 
 Package: partitioner
 XC-Package-Type: udeb

## partitioner 0.39

=== debian/changelog ===
partitioner (0.39) unstable; urgency=low

  [ Updated translations ]
  * Malayalam (ml.po) by Praveen A

 -- Martin Michlmayr <tbm@cyrius.com>  Tue, 27 Feb 2007 20:11:29 +0000

partitioner (0.38) unstable; urgency=low

  [ Frans Pop ]
  * Remove Thorsten Sauter from uploaders as requested by MIA team.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Belarusian (be.po) by Pavel Piatruk
  * Bulgarian (bg.po) by Damyan Ivaniv
  * Bosnian (bs.po) by Safir Secerovic
  * Catalan (ca.po) by Jordi Mallach
  * Danish (da.po) by Claus Hindsgaul
  * Esperanto (eo.po) by Serge Leblanc
  * Georgian (ka.po) by Aiet Kolkhi
  * Kurdish (ku.po) by rizoye-xerzi
  * Latvian (lv.po) by Aigars Mahinovs
  * Malayalam (ml.po) by Praveen A
  * Panjabi (pa.po) by A S Alam
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Romanian (ro.po) by Eddy Petrișor

 -- Martin Michlmayr <tbm@cyrius.com>  Thu, 01 Feb 2007 16:29:13 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: debian-installer
 Priority: standard
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Thorsten Sauter <tsauter@debian.org>, Matt Kraai <kraai@debian.org>, Joey Hess <joeyh@debian.org>, Stephen R. Marenka <smarenka@debian.org>, Frans Pop <fjp@debian.org>
+Uploaders: Matt Kraai <kraai@debian.org>, Joey Hess <joeyh@debian.org>, Stephen R. Marenka <smarenka@debian.org>, Frans Pop <fjp@debian.org>
 Build-Depends: debhelper (>> 4.2), po-debconf (>= 0.5.0), libdebian-installer4-dev, libdebconfclient0-dev (>= 0.46), libparted1.7-dev (>= 1.7.1-1)
 XS-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/partitioner

## partitioner 0.41

=== debian/changelog ===
partitioner (0.41) unstable; urgency=low

  [ Martin Michlmayr ]
  * Remove arm from the architecture list because RiscPC machines are no
    longer supported.

  [ Updated translations ]
  * Basque (eu.po) by Piarres Beobide

 -- Martin Michlmayr <tbm@cyrius.com>  Sat, 14 Apr 2007 14:48:29 -0700

partitioner (0.40) unstable; urgency=low

  * Multiply menu-item-numbers by 100

 -- Joey Hess <joeyh@debian.org>  Tue, 10 Apr 2007 14:53:40 -0400

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
 
 Package: partitioner
 XC-Package-Type: udeb
-Architecture: arm m68k mips
+Architecture: m68k mips
 Depends: ${shlibs:Depends}, cdebconf-udeb, harddrive-detection, ${fdisk:Depends}
 Provides: partitioned-harddrives
-XB-Installer-Menu-Item: 43
+XB-Installer-Menu-Item: 4300
 Description: Partition a hard drive
  Use this module to partition the physical disks in the system.

## partitioner 0.42

=== debian/changelog ===
partitioner (0.42) unstable; urgency=low

  [ Martin Michlmayr ]
  * Remove more ARM specific code.
  * Use "list-devices disk" to obtain a listing of disks rather than
    relying on /dev/discs which no longer exists (Closes: #452674).

  [ Updated translations ]
  * Bengali (bn.po) by Jamil Ahmed
  * Danish (da.po) by Claus Hindsgaul
  * Esperanto (eo.po) by Serge Leblanc
  * Italian (it.po) by Stefano Canepa
  * Panjabi (pa.po) by A S Alam
  * Portuguese (pt.po) by Miguel Figueiredo
  * Romanian (ro.po) by Eddy Petrișor
  * Slovak (sk.po) by Ivan Masár
  * Vietnamese (vi.po) by Clytie Siddall

 -- Martin Michlmayr <tbm@cyrius.com>  Sun, 25 Nov 2007 22:04:42 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Matt Kraai <kraai@debian.org>, Joey Hess <joeyh@debian.org>, Stephen R. Marenka <smarenka@debian.org>, Frans Pop <fjp@debian.org>
 Build-Depends: debhelper (>> 4.2), po-debconf (>= 0.5.0), libdebian-installer4-dev, libdebconfclient0-dev (>= 0.46), libparted1.7-dev (>= 1.7.1-1)
-XS-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/partitioner
+Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/partitioner
 
 Package: partitioner
 XC-Package-Type: udeb

=== debian/rules ===
--- 
+++ 
@@ -45,8 +45,6 @@
 # unless partitioner depends on it
 ifeq ($(ARCH),mips)
 	dh_gencontrol -- -Vfdisk:Depends=fdisk-udeb
-else ifeq ($(ARCH),arm)
-	dh_gencontrol -- -Vfdisk:Depends=acorn-fdisk-udeb
 else ifeq ($(ARCH),m68k)
 	dh_gencontrol -- -Vfdisk:Depends="atari-fdisk-udeb, mac-fdisk-udeb"
 endif

## partitioner 0.44

=== debian/changelog ===
partitioner (0.44) unstable; urgency=low

  [ Frans Pop ]
  * Remove Matt Kraai as Uploader with many thanks for his past contributions.

  [ Otavio Salvador ]
  * Update to GNU Parted 1.8: Change build-depends to libparted1.8-dev

  [ Updated translations ]
  * Hungarian (hu.po) by SZERVÁC Attila
  * Marathi (mr.po) by Sampada
  * Panjabi (pa.po) by Amanpreet Singh Alam

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 21 Jun 2008 22:58:00 +0200

partitioner (0.43) unstable; urgency=low

  [ Updated translations ]
  * Amharic (am.po) by tegegne tefera
  * Finnish (fi.po) by Esko Arajärvi
  * Hindi (hi.po) by Kumar Appaiah
  * Indonesian (id.po) by Arief S Fitrianto
  * Korean (ko.po) by Changwoo Ryu
  * Kurdish (ku.po) by Amed Çeko Jiyan
  * Latvian (lv.po) by Viesturs Zarins
  * Malayalam (ml.po) by Praveen|പ്രവീണ്‍ A|എ
  * Punjabi (Gurmukhi) (pa.po) by A S Alam
  * Turkish (tr.po) by Recai Oktaş
  * Traditional Chinese (zh_TW.po) by Tetralet 

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 15 Feb 2008 20:37:52 +0100

=== debian/control ===
Source: partitioner
Section: debian-installer
Priority: standard
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>, Stephen R. Marenka <smarenka@debian.org>, Frans Pop <fjp@debian.org>
Build-Depends: debhelper (>> 4.2), po-debconf (>= 0.5.0), libdebian-installer4-dev, libdebconfclient0-dev (>= 0.46), libparted1.8-dev
Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/partitioner

Package: partitioner
XC-Package-Type: udeb
Architecture: m68k mips
Depends: ${shlibs:Depends}, cdebconf-udeb, harddrive-detection, ${fdisk:Depends}
Provides: partitioned-harddrives
XB-Installer-Menu-Item: 4300
Description: Partition a hard drive
 Use this module to partition the physical disks in the system.

## partitioner 0.45

=== debian/changelog ===
partitioner (0.45) unstable; urgency=low

  [ Stephen R. Marenka ]
  * Drop m68k from control

  [ Frans Pop ]
  * Remove myself as uploader.

  [ Updated translations ]
  * Asturian (ast.po) by Marcos Alvarez Costales
  * Bengali (bn.po) by Md. Rezwan Shahid
  * Bosnian (bs.po) by Armin Besirovic
  * Welsh (cy.po) by Jonathan Price
  * Danish (da.po)
  * Estonian (et.po) by Mattias Põldaru
  * Basque (eu.po) by Piarres Beobide
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by marce villarino
  * Hindi (hi.po) by Kumar Appaiah
  * Croatian (hr.po) by Josip Rodin
  * Italian (it.po) by Milo Casagrande
  * Kazakh (kk.po) by daur88
  * Kurdish (ku.po) by Erdal Ronahi
  * Latvian (lv.po) by Peteris Krisjanis
  * Malayalam (ml.po) by Praveen Arimbrathodiyil
  * Marathi (mr.po) by Sampada
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Serbian (sr.po) by Veselin Mijušković
  * Tagalog (tl.po) by Eric Pareja

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 15 Jun 2009 22:43:36 +0200

=== debian/control ===
Source: partitioner
Section: debian-installer
Priority: standard
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>, Stephen R. Marenka <smarenka@debian.org>
Build-Depends: debhelper (>> 4.2), po-debconf (>= 0.5.0), libdebian-installer4-dev, libdebconfclient0-dev (>= 0.46), libparted1.8-dev
Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/partitioner

Package: partitioner
XC-Package-Type: udeb
Architecture: mips
Depends: ${shlibs:Depends}, cdebconf-udeb, harddrive-detection, ${fdisk:Depends}
Provides: partitioned-harddrives
XB-Installer-Menu-Item: 4300
Description: Partition a hard drive
 Use this module to partition the physical disks in the system.

## partitioner 0.46

=== debian/changelog ===
partitioner (0.46) unstable; urgency=low

  * Upgrade to debhelper v7.
  * Build against parted 2.2.

  [ Updated translations ]
  * Asturian (ast.po) by Marcos Antonio Alvarez Costales
  * Belarusian (be.po) by Pavel Piatruk
  * Czech (cs.po) by Miroslav Kure
  * German (de.po) by Holger Wansing
  * Esperanto (eo.po) by Felipe Castro
  * Estonian (et.po) by Mattias Põldaru
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Marce Villarino
  * Hindi (hi.po)
  * Italian (it.po) by Milo Casagrande
  * Slovenian (sl.po) by Vanja Cvelbar
  * Simplified Chinese (zh_CN.po) by 苏运强

 -- Colin Watson <cjwatson@debian.org>  Wed, 14 Apr 2010 13:52:07 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: standard
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Joey Hess <joeyh@debian.org>, Stephen R. Marenka <smarenka@debian.org>
-Build-Depends: debhelper (>> 4.2), po-debconf (>= 0.5.0), libdebian-installer4-dev, libdebconfclient0-dev (>= 0.46), libparted1.8-dev
+Build-Depends: debhelper (>= 7.0.50), po-debconf (>= 0.5.0), libdebian-installer4-dev, libdebconfclient0-dev (>= 0.46), libparted0-dev (>= 2.2)
 Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/partitioner
 
 Package: partitioner

## partitioner 0.48

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
+DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
 CC = gcc
-CFLAGS = -W -Wall -Os
+CFLAGS = -W -Wall -Os -DARCH_TEXT='"$(DEB_HOST_ARCH)"'
 LD = gcc
 LDFLAGS = -ldebconfclient -ldebian-installer -lparted -ldl

=== debian/changelog ===
partitioner (0.48) unstable; urgency=low

  [ Updated translations ]
  * Asturian (ast.po) by maacub
  * Bulgarian (bg.po) by Damyan Ivanov
  * Bengali (bn.po) by Israt Jahan
  * Bosnian (bs.po) by Armin Beširović
  * Danish (da.po) by Anders Jenbo
  * Persian (fa.po) by Ebrahim Byagowi
  * Icelandic (is.po) by Sveinn í Felli
  * Lao (lo.po) by Anousak Souphavanh
  * Sinhala (si.po) by Danishka Navin
  * Slovenian (sl.po) by Vanja Cvelbar
  * Serbian (sr.po) by Janos Guljas
  * Telugu (te.po) by Arjuna Rao Chavala

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 25 Dec 2010 03:49:55 +0100

partitioner (0.47) unstable; urgency=low

  [ Updated translations ]
  * Asturian (ast.po) by astur
  * Belarusian (be.po) by Viktar Siarheichyk
  * Danish (da.po) by Jacob Sparre Andersen
  * Persian (fa.po) by acathur
  * Indonesian (id.po) by Arief S Fitrianto
  * Kazakh (kk.po) by Baurzhan Muftakhidinov
  * Central Khmer (km.po) by Khoem Sokhem
  * Kurdish (ku.po) by Erdal Ronahi
  * Latvian (lv.po) by Aigars Mahinovs
  * Macedonian (mk.po) by Arangel Angov

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 12 Jul 2010 07:04:55 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: debian-installer
 Priority: standard
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Joey Hess <joeyh@debian.org>, Stephen R. Marenka <smarenka@debian.org>
+Uploaders: Stephen R. Marenka <smarenka@debian.org>
 Build-Depends: debhelper (>= 7.0.50), po-debconf (>= 0.5.0), libdebian-installer4-dev, libdebconfclient0-dev (>= 0.46), libparted0-dev (>= 2.2)
 Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/partitioner

## partitioner 0.49

=== debian/changelog ===
partitioner (0.49) unstable; urgency=low

  [ Updated translations ]
  * Asturian (ast.po) by Mikel González
  * Bulgarian (bg.po) by Damyan Ivanov
  * Tibetan (bo.po) by Tennom
  * Czech (cs.po) by Miroslav Kure
  * Welsh (cy.po) by Dafydd Tomos
  * German (de.po) by Holger Wansing
  * Esperanto (eo.po) by Felipe Castro
  * Spanish (es.po) by Javier Fernández-Sanguino
  * Estonian (et.po) by Mattias Põldaru
  * Basque (eu.po) by Piarres Beobide
  * Hebrew (he.po) by Lior Kaplan
  * Hindi (hi.po) by Kumar Appaiah
  * Indonesian (id.po) by Mahyuddin Susanto
  * Icelandic (is.po) by Sveinn í Felli
  * Italian (it.po) by Milo Casagrande
  * Georgian (ka.po) by Aiet Kolkhi
  * Kannada (kn.po) by Prabodh C P
  * Korean (ko.po) by Changwoo Ryu
  * Lithuanian (lt.po) by Rimas Kudelis
  * Latvian (lv.po) by Rūdolfs Mazurs
  * Macedonian (mk.po) by Arangel Angov
  * Nepali (ne.po)
  * Panjabi (pa.po) by A S Alam
  * Polish (pl.po) by Marcin Owsiany
  * Romanian (ro.po) by Ioan Eugen Stan
  * Russian (ru.po) by Yuri Kozlov
  * Northern Sami (se.po) by Børre Gaup
  * Sinhala (si.po)
  * Slovak (sk.po) by Ivan Masár
  * Swedish (sv.po) by Daniel Nylander
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Uyghur (ug.po) by Sahran
  * Ukrainian (uk.po) by Borys Yanovych
  * Simplified Chinese (zh_CN.po) by YunQiang Su

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 17 Jun 2012 18:00:07 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Stephen R. Marenka <smarenka@debian.org>
 Build-Depends: debhelper (>= 7.0.50), po-debconf (>= 0.5.0), libdebian-installer4-dev, libdebconfclient0-dev (>= 0.46), libparted0-dev (>= 2.2)
-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/partitioner
+Vcs-Browser: http://git.debian.org/?p=d-i/partitioner.git
+Vcs-Git: git://git.debian.org/d-i/partitioner.git
 
 Package: partitioner
 XC-Package-Type: udeb

## partitioner 0.50

=== debian/changelog ===
partitioner (0.50) unstable; urgency=low

  * Replace XC-Package-Type by Package-Type in debian/control
  * Add myself to Uploaders and remove (now inactive) S. Marenka

  [ Updated translations ]
  * Asturian (ast.po) by ivarela

 -- Christian Perrier <bubulle@debian.org>  Mon, 15 Oct 2012 13:33:14 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: debian-installer
 Priority: standard
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Stephen R. Marenka <smarenka@debian.org>
+Uploaders: Christian Perrier <bubulle@debian.org>
 Build-Depends: debhelper (>= 7.0.50), po-debconf (>= 0.5.0), libdebian-installer4-dev, libdebconfclient0-dev (>= 0.46), libparted0-dev (>= 2.2)
 Vcs-Browser: http://git.debian.org/?p=d-i/partitioner.git
 Vcs-Git: git://git.debian.org/d-i/partitioner.git
 
 Package: partitioner
-XC-Package-Type: udeb
+Package-Type: udeb
 Architecture: mips
 Depends: ${shlibs:Depends}, cdebconf-udeb, harddrive-detection, ${fdisk:Depends}
 Provides: partitioned-harddrives

## partitioner 0.55

=== debian/changelog ===
partitioner (0.55) unstable; urgency=low

  [ Updated translations ]
  * Kazakh (kk.po) by Baurzhan Muftakhidinov

 -- Christian Perrier <bubulle@debian.org>  Sat, 11 Apr 2015 08:15:39 +0200

partitioner (0.54) unstable; urgency=medium

  [ Colin Watson ]
  * Build-depend on libparted-dev rather than transitional package
    libparted0-dev.

 -- Christian Perrier <bubulle@debian.org>  Wed, 15 Oct 2014 08:20:57 +0200

partitioner (0.53) unstable; urgency=medium

  [ Updated translations ]
  * Bosnian (bs.po) by Armin Besirovic
  * Tajik (tg.po) by Victor Ibragimov

 -- Cyril Brulebois <kibi@debian.org>  Fri, 14 Mar 2014 17:44:58 +0100

partitioner (0.52) unstable; urgency=low

  [ Updated translations ]
  * Tajik (tg.po) by Victor Ibragimov

 -- Christian Perrier <bubulle@debian.org>  Sun, 08 Sep 2013 16:07:17 +0200

partitioner (0.51) unstable; urgency=low

  [ Dmitrijs Ledkovs ]
  * Set debian source format to '3.0 (native)'.
  * Bump debhelper compat level to 9.
  * Set Vcs-* to canonical format.

 -- Christian Perrier <bubulle@debian.org>  Sun, 21 Jul 2013 14:40:42 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: standard
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Christian Perrier <bubulle@debian.org>
-Build-Depends: debhelper (>= 7.0.50), po-debconf (>= 0.5.0), libdebian-installer4-dev, libdebconfclient0-dev (>= 0.46), libparted0-dev (>= 2.2)
-Vcs-Browser: http://git.debian.org/?p=d-i/partitioner.git
-Vcs-Git: git://git.debian.org/d-i/partitioner.git
+Build-Depends: debhelper (>= 9), po-debconf (>= 0.5.0), libdebian-installer4-dev, libdebconfclient0-dev (>= 0.46), libparted-dev (>= 2.2)
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=d-i/partitioner.git
+Vcs-Git: git://anonscm.debian.org/d-i/partitioner.git
 
 Package: partitioner
 Package-Type: udeb

=== debian/rules ===
#! /usr/bin/make -f
%:
	dh $@

override_dh_auto_install:
	install -m755 partitioner debian/partitioner.postinst
	for i in `find scripts/ -maxdepth 1 -type f -print`; do \
		install -m644 $$i debian/partitioner/usr/share/partitioner/; \
	done

ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)

override_dh_gencontrol:
# fdisk-udeb is not standard priority so will not be installed by anna
# unless partitioner depends on it
ifeq ($(ARCH),mips)
	dh_gencontrol -- -Vfdisk:Depends=fdisk-udeb
else ifeq ($(ARCH),m68k)
	dh_gencontrol -- -Vfdisk:Depends="atari-fdisk-udeb, mac-fdisk-udeb"
endif

override_dh_shlibdeps:
	# dh_installdeb needs to come first, since
	# debian/partitioner/DEBIAN/postinst needs to be scanned for
	# shlibdeps.
	dh_installdeb
	dh_shlibdeps

## partitioner 0.58

=== debian/changelog ===
partitioner (0.58) unstable; urgency=medium

  [ Colin Watson ]
  * Use HTTPS for Vcs-* URLs, and link to cgit rather than gitweb.

 -- Christian Perrier <bubulle@debian.org>  Thu, 04 Feb 2016 18:53:46 +0100

partitioner (0.57) unstable; urgency=medium

  [ Aurelien Jarno ]
  * Drop scripts/mips.sh, all the subarchitectures which need special
    casing are gone.

 -- Christian Perrier <bubulle@debian.org>  Wed, 02 Sep 2015 07:02:21 +0200

partitioner (0.56) unstable; urgency=medium

  [ Updated translations ]
  * Turkish (tr.po) by Mert Dirik

 -- Christian Perrier <bubulle@debian.org>  Thu, 02 Jul 2015 12:09:40 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Christian Perrier <bubulle@debian.org>
 Build-Depends: debhelper (>= 9), po-debconf (>= 0.5.0), libdebian-installer4-dev, libdebconfclient0-dev (>= 0.46), libparted-dev (>= 2.2)
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=d-i/partitioner.git
-Vcs-Git: git://anonscm.debian.org/d-i/partitioner.git
+Vcs-Browser: https://anonscm.debian.org/cgit/d-i/partitioner.git
+Vcs-Git: https://anonscm.debian.org/git/d-i/partitioner.git
 
 Package: partitioner
 Package-Type: udeb
